Avalanche X-Chain

AVM transactions and UTXOs.

Address transactions

GEThttps://api.routescan.io/v2/network/{networkId}/avm/{blockchainId}/address/{addressId}/transactions
GET
blockchainIdrequired
https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/address/X-avax1qsnptt6yxnwmh8up7xn5u3sajz37lmyv8u3dmu/transactions?limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/address/X-avax1qsnptt6yxnwmh8up7xn5u3sajz37lmyv8u3dmu/transactions?limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 type?: "base" | "create_asset" | "create_asset_fixed_cap" | "create_asset_var_cap" | "create_asset_nft" | "operation" | "mint_asset_var_cap" | "mint_nft" | "transfer_nft" | "multimint_var_cap" | "multimint_nft" | "multitransfer_nft" | "composite" | "import" | "export";
5 timestamp: string; // date-time
6 inputsCount: number;
7 outputsCount: number;
8 inputsLimit?: number;
9 outputsLimit?: number;
10 inputs: {
11 id: string;
12 txId: string;
13 index: number;
14 amount: string; // bigint
15 srcChain?: string;
16 dstChain?: string;
17 owner: {
18 addresses: string[];
19 threshold: number;
20 };
21 locktime?: number;
22 creds?: {
23 address: string;
24 }[];
25 asset?: {
26 id: string;
27 name?: string;
28 symbol?: string;
29 denomination?: number;
30 type?: "fixed_cap" | "var_cap" | "nft";
31 };
32 }[];
33 outputs: {
34 id: string;
35 txId: string;
36 index: number;
37 amount: string; // bigint
38 srcChain?: string;
39 dstChain?: string;
40 owner: {
41 addresses: string[];
42 threshold: number;
43 };
44 locktime?: number;
45 creds?: {
46 address: string;
47 }[];
48 asset?: {
49 id: string;
50 name?: string;
51 symbol?: string;
52 denomination?: number;
53 type?: "fixed_cap" | "var_cap" | "nft";
54 };
55 }[];
56 memo?: string;
57 }[];
58 link: {
59 next?: string;
60 nextToken?: string;
61 prev?: string;
62 prevToken?: string;
63 };
64}

Responses

200Default Response

Transactions by transactionId

GEThttps://api.routescan.io/v2/network/{networkId}/avm/{blockchainId}/transactions/{transactionId}
GET
blockchainIdrequired
https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/transactions/2NjQmivWRhUAKzJZtBTk3APVBaAa8YCGxAs4CBjBMKqYZ6DUjZ?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/transactions/2NjQmivWRhUAKzJZtBTk3APVBaAa8YCGxAs4CBjBMKqYZ6DUjZ' \
2 -H 'apikey: YourApiKeyToken'
1{
2 id: string;
3 type?: "base" | "create_asset" | "create_asset_fixed_cap" | "create_asset_var_cap" | "create_asset_nft" | "operation" | "mint_asset_var_cap" | "mint_nft" | "transfer_nft" | "multimint_var_cap" | "multimint_nft" | "multitransfer_nft" | "composite" | "import" | "export";
4 timestamp: string; // date-time
5 inputsCount: number;
6 outputsCount: number;
7 inputsLimit?: number;
8 outputsLimit?: number;
9 inputs: {
10 id: string;
11 txId: string;
12 index: number;
13 amount: string; // bigint
14 srcChain?: string;
15 dstChain?: string;
16 owner: {
17 addresses: string[];
18 threshold: number;
19 };
20 locktime?: number;
21 creds?: {
22 address: string;
23 }[];
24 asset?: {
25 id: string;
26 name?: string;
27 symbol?: string;
28 denomination?: number;
29 type?: "fixed_cap" | "var_cap" | "nft";
30 };
31 }[];
32 outputs: {
33 id: string;
34 txId: string;
35 index: number;
36 amount: string; // bigint
37 srcChain?: string;
38 dstChain?: string;
39 owner: {
40 addresses: string[];
41 threshold: number;
42 };
43 locktime?: number;
44 creds?: {
45 address: string;
46 }[];
47 asset?: {
48 id: string;
49 name?: string;
50 symbol?: string;
51 denomination?: number;
52 type?: "fixed_cap" | "var_cap" | "nft";
53 };
54 }[];
55 memo?: string;
56}

Responses

200Default Response

Transactions inputs

Lists inputs of a specific transaction.

GEThttps://api.routescan.io/v2/network/{networkId}/avm/{blockchainId}/transactions/{transactionId}/inputs
GET
blockchainIdrequired
https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/transactions/2NjQmivWRhUAKzJZtBTk3APVBaAa8YCGxAs4CBjBMKqYZ6DUjZ/inputs?limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/transactions/2NjQmivWRhUAKzJZtBTk3APVBaAa8YCGxAs4CBjBMKqYZ6DUjZ/inputs?limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 txId: string;
5 index: number;
6 amount: string; // bigint
7 srcChain?: string;
8 dstChain?: string;
9 owner: {
10 addresses: string[];
11 threshold: number;
12 };
13 locktime?: number;
14 creds?: {
15 address: string;
16 }[];
17 asset?: {
18 id: string;
19 name?: string;
20 symbol?: string;
21 denomination?: number;
22 type?: "fixed_cap" | "var_cap" | "nft";
23 };
24 }[];
25 link: {
26 next?: string;
27 nextToken?: string;
28 prev?: string;
29 prevToken?: string;
30 };
31}

Responses

200Default Response

Transactions outputs

Lists the outputs of a specific transaction.

GEThttps://api.routescan.io/v2/network/{networkId}/avm/{blockchainId}/transactions/{transactionId}/outputs
GET
blockchainIdrequired
https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/transactions/2NjQmivWRhUAKzJZtBTk3APVBaAa8YCGxAs4CBjBMKqYZ6DUjZ/outputs?limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/avm/%7BblockchainId%7D/transactions/2NjQmivWRhUAKzJZtBTk3APVBaAa8YCGxAs4CBjBMKqYZ6DUjZ/outputs?limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 txId: string;
5 index: number;
6 amount: string; // bigint
7 srcChain?: string;
8 dstChain?: string;
9 owner: {
10 addresses: string[];
11 threshold: number;
12 };
13 locktime?: number;
14 creds?: {
15 address: string;
16 }[];
17 asset?: {
18 id: string;
19 name?: string;
20 symbol?: string;
21 denomination?: number;
22 type?: "fixed_cap" | "var_cap" | "nft";
23 };
24 }[];
25 link: {
26 next?: string;
27 nextToken?: string;
28 prev?: string;
29 prevToken?: string;
30 };
31}

Responses

200Default Response
Questions? Contact us